Rated 3 out of 5 stars

Need compability with Firefox 4, please.

This user has a previous review of this add-on.